#include <opencv2/opencv.hpp>
#include <opencv2/features2d/features2d.hpp>

#include <iostream>

using namespace cv;
using namespace std;

int main(int argc, char *argv[]) {
    
    Mat src = imread("church01.jpg", 0);
    
    vector<KeyPoint> keypointsD;    
    Ptr<GFTTDetector> detector=GFTTDetector::create(500,0.01,10);
    detector->detect(src,keypointsD,Mat());
    drawKeypoints(src, keypointsD, src);

    imshow("keypoints",src);
    waitKey();
}